Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05668 Crash/Freeze Critical (emulator) Always Aug 11, 2014, 18:57 Aug 29, 2016, 23:20
Tester Firewave View Status Public Platform MESS (Self-compiled)
Assigned To Resolution Fixed OS
Status [?] Resolved   Driver
Version 0.154 Fixed in Version 0.170 Build Debug
Summary MESS-specific 05668: all sets using ES5506: [debug] Assertion with -debug
Description
MAME exception: assert: src/emu/dimemory.h:86: m_addrspace[int(index)] != NULL

esqkt.c: kt76
esq5505.c: sd132, and others
esqasr.c: asr10, and others
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version 0.148u1
Affected Sets / Systems all sets using ES5506
Attached Files
 


-  Notes
User avatar
No.11262
Osso
(Developer)
Nov 24, 2014, 12:26
This doesn't happen to me on Windows, neither with current debug build, nor with 0.154 debug build. Linux specific?
User avatar
No.11263
Firewave
(Senior Tester)
Nov 24, 2014, 14:56
You need the "-debug" flag as well. I was just able to reproduce it with Windows and Linux builds.
User avatar
No.11266
Osso
(Developer)
Nov 24, 2014, 15:17
You're right, sorry!